<?php

namespace HCM\FPA\Entity;

use HCM\Util\Repositories;
use HCM\Util\TkEntity;
use HCM\Util\DateUtil;

class FpaTpcalcregraEntity extends TkEntity
{
    private $_nrOrg;
    private $_nrOrgPadrao;
    private $_ponteiro;
    
    public function __construct($entityManager, $hcmParameters){
        $this->hcmParameters = $hcmParameters;
        $this->_nrOrg = $hcmParameters->getNrorgTrabalho();
        $this->_nrOrgPadrao = $hcmParameters->getNrorgPadrao();
        $this->_ponteiro = 0;
        
        parent::__construct(null, $entityManager);
    }
    
    public function getPonteiro(){
        return $this->_ponteiro;
    }

    public function adicionaPonteiro(){
        $this->_ponteiro++;
    }

    public function iniciaPonteiro(){
        $this->_ponteiro = 0;
    }

    public function tamanhoLista(){
        $itens = $this->getItems();
        return count($itens);
    }

    public function finalLista(){
        if ($this->_ponteiro >= $this->tamanhoLista()) {
            return true;
        } else {
            return false;
        }
    }
    
    public function listaVazia(){
        $contador = count($this->getItems());
        if ($contador > 0) {
            return false;
        } else {
            return true;
        }

    }

    private function _inicializaListaTpCalcRegra(){
        $items = array();
        $resultados = $this->entityManager->getRepository(Repositories::FPA_TPCALCREGRA)->findBy(array('nrorg' => array($this->_nrOrg, $this->_nrOrgPadrao), 'idativo' => 'S'),
        array('nrptregra' => 'ASC', 'nrsequencia' => 'ASC'));
        
        foreach ($resultados as $resultado) {
            $items[$resultado->getNrtipocalculo()][] = $resultado;
        }
        foreach($items as $key => $value) {
            $this->addItem($value, $key);
        }
    }

    public function procuraTpCalcRegra($nrTpCalculo){
        if (count($this->getItems()) === 0) {
            $this->_inicializaListaTpCalcRegra();
        }
        return $this->getItem($nrTpCalculo);
    }
}