-- ============================================================
--   Database name:  FOLHA                                   
--   DBMS name:      ORACLE Version 12.x 
--   Created on:     03/01/2022  16:21
---  Issue:          348233
-- ============================================================

-- ============================================================
--   Table: GPE_QUADROVAGAS                                      
-- ============================================================
CREATE TABLE GPE_QUADROVAGAS
(
    NRORG                   NUMBER                                  NOT NULL,
    NRQUADROVAGAS           NUMBER                                  NOT NULL,
    CDPROPOSTA              VARCHAR2(50)                            NULL,
    DTINIVALIDADE           DATE                                    NOT NULL,
    DTFIMVALIDADE           DATE                                    NULL,
    NRESTRUTURAM            NUMBER                                  NOT NULL,
    NROCUPACAOM             NUMBER                                  NOT NULL,
    QTDLIMITE               NUMBER                                  NOT NULL,
    IDATIVO                 VARCHAR2(1)             DEFAULT 'S'     NULL,
    NRORGINCLUSAO           NUMBER                  DEFAULT 1       NULL,
    DTINCLUSAO              DATE                    DEFAULT SYSDATE NULL,
    CDOPERINCLUSAO          VARCHAR2(12)            DEFAULT '1'     NULL,
    NRORGULTATU             NUMBER                                  NULL,
    DTULTATU                DATE                                    NULL,
    CDOPERULTATU            VARCHAR2(12)                            NULL,
    CONSTRAINT PK_GPE_QUADROVAGAS PRIMARY KEY (NRORG, NRQUADROVAGAS),
    CONSTRAINT CKC_IDATIVO_QVAGAS CHECK (IDATIVO IN ('S', 'N')) ENABLE,
    CONSTRAINT FK_QVAGAS_ESTRUT FOREIGN KEY (NRORG, NRESTRUTURAM)
	  REFERENCES ESTRUTURAM (NRORG, NRESTRUTURAM) ENABLE,
    CONSTRAINT FK_QVAGAS_OCUP FOREIGN KEY (NRORG, NROCUPACAOM)
	  REFERENCES GPE_OCUPACAOM (NRORG, NROCUPACAOM) ENABLE
)
/
